﻿img{max-width:100%;}
.width-100{width:100%;}
.width-max-100{max-width:100%;}
.no-boder{border:none;}
.no-border-top{border-top:none;}
.no-border-left{border-left:none;}
.no-border-rigth{border-right:none;}
.no-border-bottom{border-bottom:none;}

.ml-5{margin-left:5px !important;}
.ml-10{margin-left:10px !important;}
.ml-15{margin-left:15px !important;}
.ml-20{margin-left:20px !important;}
.mt-5{margin-top:5px !important;}
.mt-10{margin-top:10px !important;}
.mt-15{margin-top:15px !important;}
.mt-20{margin-top:20px !important;}
.mb-5{margin-bottom:5px !important;}
.mb-10{margin-bottom:10px !important;}
.mb-15{margin-bottom:15px !important;}
.mb-20{margin-bottom:20px !important;}
.mr-5{margin-right:5px !important;}
.mr-10{margin-right:10px !important;}
.mr-15{margin-right:15px !important;}
.mr-20{margin-right:20px !important;}

.border-red,
.border-yellow,
.border-aqua,
.border-blue,
.border-light-blue,
.border-green,
.border-navy,
.border-teal,
.border-olive,
.border-lime,
.border-orange,
.border-fuchsia,
.border-purple,
.border-maroon,
.border-black {
    border-width:1px;
  border-style: solid;
}
.border-gray {
  border-color: #d2d6de !important;
}
.border-gray-light {
  border-color: #f7f7f7;
}
.border-black {
  border-color: #111111 !important;
}
.border-red {
  border-color: #dd4b39 !important;
}
.border-yellow {
  border-color: #f39c12 !important;
}
.border-aqua {
  border-color: #00c0ef !important;
}
.border-blue {
  border-color: #0073b7 !important;
}
.border-light-blue{
  border-color: #3c8dbc !important;
}
.border-green {
  border-color: #00a65a !important;
}
.border-navy {
  border-color: #001f3f !important;
}
.border-teal {
  border-color: #39cccc !important;
}
.border-olive {
  border-color: #3d9970 !important;
}
.border-lime {
  border-color: #01ff70 !important;
}
.border-orange {
  border-color: #ff851b !important;
}
.border-fuchsia {
  border-color: #f012be !important;
}
.border-purple {
  border-color: #605ca8 !important;
}
.border-maroon {
  border-color: #d81b60 !important;
}

.content-header>h1 {
    display: inline-block;
}

.content-header>.measure-btn-container
{
    margin-left:20px;
    display: inline-block;
}

.login-box, .register-box {
    margin: auto !important;
    padding: 7% 0 !important;
}

.message-page {
    width: 600px;
    margin: 20px auto 0 auto;
}

.message-page>.headline {
     float: none;
    font-size: 100px;
    font-weight: 300;
}
.message-page>.message-content {
    /* margin-left: 190px; */
    display: block;
}

.steps-header{
    text-align:center;
}
.img-box{

}
.img-box .inner{
    padding:0 !important;
    text-align: center;
    /*height:238px;*/
    /*position: relative;*/
}

.img-box .inner .file-name{
    /*position: absolute;*/
    /*bottom: 44px;*/
    /* top: 0; */
    /*left: 0;*/
    display: block;
    width: 100%;
    background: rgba(0,0,0,0.3);
    color: #fff;
}
.img-box .inner a i.fa{
    font-size: 500%;
    margin: 35%;
}

.img-box .img-box-footer{
    background-color:none;
        padding: 5px;
}

label.required::after, .form-group.required label::after{
    content:'*';
    color:#dd4b39;
    margin-left: 5px;
    /*position: absolute;*/
    /*right: 0;*/
}
.field-validation-error{
    color:#dd4b39;
    display: block;
}
.img-upload-field .field-validation-error{
    position: absolute;
    left: 0;
    bottom: 5px;
}
.input-validation-error{
    border-color:#dd4b39;
}

.validation-summary-errors{

    color:#dd4b39;
}

.validation-summary-errors ul{
    list-style:none;
}

.return-msg-container{
    position: absolute;
    right: 5px;
    z-index: 999999999999;
}
.return-msg-container .alert{
    opacity: 0.9;
    margin-bottom:5px;
    min-width: 250px;
}

.images-gallery-container{
    border:1px solid #d6d6d6;
    padding : 10px;
}

.images-gallery-container .img-gallery-item{
    display: inline-block;
    vertical-align: top;
    padding-bottom: 10px;
    position: relative;
    width: 30%;
    height: 120px;
    margin-right: 1%;
    border: 1px solid #d6d6d6;
    margin-bottom: 10px;
    padding: 3px;
    box-sizing: border-box;
    border-radius: 3px;
}
.images-gallery-container .img-delete-btn{
    /*display:none;*/
    position:absolute;
    position: absolute;
    bottom: -8px;
    width: 95%;
    text-align: center;
}
.images-gallery-container .img-gallery-item:hover .img-delete-btn{
    display:block;
}
.images-gallery-container .img-gallery-item a{
    width: 100%;
    display: inline-block;
    height: 100%;
    text-align: center;
}
.images-gallery-container .img-gallery-item a img{
    border:none;
    /*vertical-align: middle;*/
    height:100%;
}


.img-upload-field{
    padding: 0;
}

.img-upload-field-container label {
    margin-top: 40px;
    padding-right: 0;
}
.img-upload-field input, .img-upload-field img{
    vertical-align: middle;
    display: inline-block;
}
.img-upload-field input{
    width: 70%;
}
.img-upload-field img{
    margin-left: 10px;
    max-width: 100px;
}

table thead input, table thead select{
    width:100%;
}

table thead th.hidefilter input, table thead th.hidefilter select{
    display:none;
}
/*table.properties-list tr:nth-child(2) th
{
    padding:0;
    text-align:center;
}
table.properties-list tr:nth-child(2) th input {
    max-width: 100px;
}*/

div[class^="icheckbox_line"],div[class^="iradio_line"]{
    margin-bottom:2px;
}

/*.steps-header {
   overflow-x: auto !important;
   overflow-y:hidden;
   flex-wrap: nowrap !important;
}*/

.property-address-info{
    position: absolute; 
    right: 60px;
    top: 50px;
    z-index: 999;
    padding: 10px 15px;
}

@media (max-width: 991px){
    .property-address-info{
        position:relative;
        right: auto;
    top: auto;
    }
}


.select-wrap {
    position: relative;
    /*border: 1px solid #ccc;
    height: 21px;
    border-radius: 4px;*/
}

.select-wrap select {
    /*opacity: 0;
    position: absolute;
    top: -3px;
    left: -3px;
    */
    z-index: 1;
}

.select-wrap input {
    display: inline-block;
    width: auto;
    background-color: #fff !important;
    position: absolute;
    top: 1px;
    left: 16px;
    z-index: 2;
    border: 0;
}

/*.select-wrap:after{
    content: "\25BE";
    font-size: 1.5em;
    position: absolute;
    right: 0;
    top: -3px;
    z-index: 0;
}*/

/*Chat styles*/
#chat-windows-container{

}
#chat-windows-container .chat-window{
    /*float:right;*/
    position:fixed;
    bottom:-20px;
    right:0;
    width:335px;
    z-index:9999;
}

#chat-windows-container .chat-window .direct-chat{
    border: 2px solid #e08e0b;
}
#chat-windows-container .chat-window .sms{
    border: 2px solid #00c0ef;
}
#chat-windows-container .chat-window .whatsapp{
    border: 2px solid #00a65a;
}
/*.input-group-btn input[type=file]::-webkit-file-upload-button {
  visibility: hidden;
}
.input-group-btn input[type=file]{
    position: relative;
}
.input-group-btn input[type=file]:after{

}*/
.input-group-btn input[type=file]{
    display: none;
}

#chat-windows-container .chat-window .direct-chat .direct-chat-text a{
    color:#ffffff;
}
/*chat styles end*/

.btn>.badge, .btn-chat-start>.badge {
    position: absolute;
    top: -3px;
    right: -10px;
    font-size: 10px;
    font-weight: 400;
    z-index: 9;
}

.btn-chat-start {position:relative;}
.btn-chat-start>.pull-right-container {
    position: absolute;
    right: 5px;
    /*top: 50%;*/
    /*margin-top: -7px;*/
}

.navbar-nav>.notifications-menu>.dropdown-menu>li .menu>li>a.active, .navbar-nav>.messages-menu>.dropdown-menu>li .menu>li>a.active, .navbar-nav>.tasks-menu>.dropdown-menu>li .menu>li>a.active {
    /*text-decoration: underline;*/
    background-color: #f9f7f7;
}

/*jquery.fileupload starts*/

    form#fileupload {
        border:1px solid;
        /*margin:20px;*/
    }
    div.files{display: inline-block;}
    div.files .template-upload, div.files .template-download {
        width: 100px;
        height: 100px;
        border: 1px solid;
        margin: 5px;
        /* position: relative; */
        float: left;
        text-align: center;
        position: relative;
    }

    div.template-download a {
        display: block;
        height: 100%;
    }

        div.template-download a img {
            max-height: 100%;
        }

    div.template-upload .preview canvas {
        height: 100%;
        width: 100%;
    }

    div.template-upload .file-name, div.template-download .file-name {
        position: absolute;
        width: 100%;
        top: 0;
        background-color: #f0f0f0;
    }

    div.template-upload .file-name, div.template-download .file-name {
        display: none;
    }

        div.template-upload .file-name:hover, div.template-download .file-name:hover {
            display: block;
        }

        div.template-upload .file-name span, div.template-download .file-name span {
            height: 50px;
            /* width: 50px; */
            display: block;
            overflow: hidden;
        }

    div.template-upload p.name {
        display: none;
    }

    div.template-upload .error {
        position: absolute;
        left: 0;
        width: 100%;
        background-color: bisque;
    }

    div.template-upload .progress {
        position: absolute;
        width: 100%;
        height: 10px;
        bottom: 0;
        margin-bottom: 0;
    }

        div.template-upload .progress .progress-bar {
        }

/*jquery.fileupload ends*/